## GVirConfigStorageVol

GVirConfigStorageVol

## Functions

GVirConfigStorageVol * | gvir_config_storage_vol_new ()
GVirConfigStorageVol * | gvir_config_storage_vol_new_from_xml ()
void | gvir_config_storage_vol_set_allocation ()
void | gvir_config_storage_vol_set_backing_store ()
void | gvir_config_storage_vol_set_capacity ()
void | gvir_config_storage_vol_set_name ()
void | gvir_config_storage_vol_set_target ()

## Types and Values

struct | GVirConfigStorageVol
struct | GVirConfigStorageVolClass
| GVirConfigStorageVolPrivate

## Object Hierarchy

        GObject
        ╰── GVirConfigObject
            ╰── GVirConfigStorageVol

## Description

## Functions

### gvir_config_storage_vol_new ()

    GVirConfigStorageVol *
    gvir_config_storage_vol_new (void);

### gvir_config_storage_vol_new_from_xml ()

    GVirConfigStorageVol *
    gvir_config_storage_vol_new_from_xml (const gchar *xml,
                                          GError **error);

### gvir_config_storage_vol_set_allocation ()

    void
    gvir_config_storage_vol_set_allocation
                                   (GVirConfigStorageVol *vol,
                                    guint64 allocation);

### gvir_config_storage_vol_set_backing_store ()

    void
    gvir_config_storage_vol_set_backing_store
                                   (GVirConfigStorageVol *vol,
                                    GVirConfigStorageVolBackingStore *backing_store);

#### Parameters

backing_store | . | [allow-none]

### gvir_config_storage_vol_set_capacity ()

    void
    gvir_config_storage_vol_set_capacity (GVirConfigStorageVol *vol,
                                          guint64 capacity);

### gvir_config_storage_vol_set_name ()

    void
    gvir_config_storage_vol_set_name (GVirConfigStorageVol *vol,
                                      const char *name);

#### Parameters

name | . | [allow-none]

### gvir_config_storage_vol_set_target ()

    void
    gvir_config_storage_vol_set_target (GVirConfigStorageVol *vol,
                                        GVirConfigStorageVolTarget *target);

#### Parameters

target | . | [allow-none]

## Types and Values

### struct GVirConfigStorageVol

    struct GVirConfigStorageVol;

### struct GVirConfigStorageVolClass

    struct GVirConfigStorageVolClass {
        GVirConfigObjectClass parent_class;

        gpointer padding[20];
    };

### GVirConfigStorageVolPrivate

    typedef struct _GVirConfigStorageVolPrivate GVirConfigStorageVolPrivate;